import { Report } from "@/data/report";

const choices = [1, 2, 3, 4, 5].map(n => ({
    pl: `Wybór ${n}`,
    en: `Choice ${n}`
}))

export const emptyReport: Report = {
    fields: [
        {
            type: "text",
            name: "text",
            description: {
                en: "Text field, with <strong>HTML</strong> description",
                pl: "Pole tekstowe, z opisem w formacie <strong>HTML</strong>"
            },
            value: null,
            label: {
                en: "Text Field",
                pl: "Pole tekstowe",
            },
        },
        {
            type: "single-choice",
            name: "single",
            description: {
                en: "single choice field, with <strong>HTML</strong> description",
                pl: "Pole jednokrotnego wyboru, z opisem w formacie <strong>HTML</strong>"
            },
            value: null,
            choices,
            label: {
                en: "Single choice field",
                pl: "Pole jednokrotnego wyboru",
            },
        },
        {
            type: "select",
            name: "select",
            description: {
                en: "select field, with <strong>HTML</strong> description",
                pl: "Pole jednokrotnego wyboru z selectboxem, z opisem w formacie <strong>HTML</strong>"
            },
            value: choices[2],
            choices,
            label: {
                en: "Select field",
                pl: "Pole jednokrotnego wyboru (selectbox)",
            },
        },
        {
            name: "multi",
            type: "multi-choice",
            description: {
                en: "Multiple choice field, with <strong>HTML</strong> description",
                pl: "Pole wielokrotnego wyboru, z opisem w formacie <strong>HTML</strong>"
            },
            value: [ choices[0], choices[3] ],
            choices,
            label: {
                en: "Multi choice field",
                pl: "Pole wielokrotnego wyboru",
            },
        },
    ]
}
